

function add_gui(player_index, entity_list)
  local player = game.players[player_index]
  local frame = player.gui.left.add{type = "frame", name = "de_frame", direction = "horizontal", style = "naked_frame_style"}
  for i, entity_name in pairs (entity_list) do
    frame.add({
      type = "sprite-button",
      name = 'de_' .. entity_name,
      style = "slot_button_style",
      -- style = "not_available_slot_button_style",
      sprite  = "item/" .. entity_name,
      tooltip = (game.item_prototypes[entity_name].localised_name)
    })
   end
   printAll("Disable Entities: GUI for " .. player.name)
end

function change_button_color(player, entity_name)
  local button_name = "de_" .. entity_name
  if (global.states[entity_name]) then
    player.gui.left["de_frame"][button_name].style = "slot_button_style"
    --global.roboport.enabled = false
  else
    player.gui.left["de_frame"][button_name].style = "not_available_slot_button_style"
    --global.roboport.enabled = true
  end
end

function printAll(text)
	log (text)
	for player_index, player in pairs (game.players) do
		game.players[player_index].print (text)
	end
end
