style_type_tabl = {
  activity_bar_style = {
    "activity_bar_style",
    "multiplayer_activity_bar_style"
  },
  button_style = {
    "button_style",
    "horizontal_line_style",
    "flip_button_style_left",
    "flip_button_style_right",
    "fake_disabled_button_style",
    "dialog_button_style",
    "play_tutorial_button_style",
    "play_completed_tutorial_button_style",
    "play_locked_tutorial_button_style",
    "play_tutorial_disabled_button_style",
    "menu_button_style",
    "search_mods_button_style",
    "icon_button_style",
    "side_menu_button_style",
    "map_view_options_button_style",
    "mod_gui_button_style",
    "image_tab_slot_style",
    "image_tab_selected_slot_style",
    "logistic_button_slot_style",
    "logistic_button_selected_slot_style",
    "ability_slot_style",
    "red_circuit_network_content_slot_style",
    "green_circuit_network_content_slot_style",
    "slot_button_style",
    "recipe_slot_button_style",
    "switch_quickbar_button_style",
    "small_slot_button_style",
    "tracking_off_button_style",
    "tracking_on_button_style",
    "technology_slot_button_style",
    "blueprint_record_slot_button_style",
    "blueprint_drop_slot_button_style",
    "search_button_style",
    "edit_label_button_style",
    "selected_slot_button_style",
    "slot_with_filter_button_style",
    "not_available_slot_button_style",
    "circuit_condition_sign_button_style",
    "available_technology_slot_style",
    "red_slot_button_style",
    "not_available_technology_slot_style",
    "disabled_technology_slot_style",
    "green_slot_button_style",
    "working_weapon_button_style",
    "not_working_weapon_button_style",
    "researched_technology_slot_style",
    "available_preview_technology_slot_style",
    "not_available_preview_technology_slot_style",
    "omitted_technology_slot_style",
    "researched_preview_technology_slot_style",
    "crafting_queue_slot_style",
    "promised_crafting_queue_slot_style",
    "partially_promised_crafting_queue_slot_style",
    "controls_settings_button_style",
    "auth_actions_button_style",
    "drop_target_button_style"
  },
  checkbox_style = {
    "checkbox_style"
  },
  dropdown_style = {
    "dropdown_style",
    "map_settings_dropdown_style"
  },
  flow_style = {
    "flow_style",
    "tracked_achievements_flow_style",
    "achievements_flow_style",
    "search_flow_style",
    "description_flow_style",
    "machine_right_part_flow_style",
    "table_spacing_flow_style",
    "slot_table_spacing_flow_style",
    "tooltip_flow_style",
    "blueprint_shelf_flow_style",
    "technology_effects_flow_style"
  },
  frame_style = {
    "frame_style",
    "outer_frame_style",
    "inner_frame_in_outer_frame_style",
    "machine_frame_style",
    "inner_frame_style",
    "tooltip_frame_style",
    "naked_frame_style",
    "technology_preview_frame_style",
    "scenario_message_dialog_style",
    "goal_frame_style",
    "unlocked_tutorial_card_frame_style",
    "completed_tutorial_card_frame_style",
    "locked_tutorial_card_frame_style",
    "menu_frame_style",
    "frame_in_right_container_style",
    "minimap_frame_style",
    "quick_bar_frame_style",
    "tool_bar_frame_style",
    "right_container_frame_style",
    "right_bottom_container_frame_style",
    "captionless_frame_style",
    "side_menu_frame_style",
    "map_view_options_frame_style",
    "locked_achievement_frame_style",
    "unlocked_achievement_frame_style",
    "failed_achievement_frame_style",
    "achievement_notification_frame_style"
  },
  graph_style = {
    "graph_style"
  },
  label_style = {
    "label_style",
    "bold_label_style",
    "bold_red_label_style",
    "bold_green_label_style",
    "caption_label_style",
    "invalid_label_style",
    "scenario_message_dialog_label_style",
    "goal_label_style",
    "electric_usage_label_style",
    "mod_dependency_invalid_label_style",
    "mod_optional_dependency_invalid_label_style",
    "description_label_style",
    "description_value_label_style",
    "description_remark_label_style",
    "description_title_label_style",
    "tool_equip_gui_label_style",
    "tooltip_label_style",
    "tooltip_title_label_style",
    "tooltip_description_label_style",
    "recipe_tooltip_cannot_craft_label_style",
    "recipe_tooltip_transitive_craft_label_style",
    "frame_caption_label_style",
    "mod_list_label_style",
    "menu_message_style",
    "achievement_title_label_style",
    "achievement_percent_label_style",
    "achievement_unlocked_title_label_style",
    "achievement_locked_title_label_style",
    "achievement_failed_title_label_style",
    "achievement_description_label_style",
    "achievement_unlocked_description_label_style",
    "achievement_locked_description_label_style",
    "achievement_failed_description_label_style",
    "achievement_locked_progress_label_style",
    "achievement_failed_reason_label_style",
    "tutorial_list_description_label_style",
    "tutorial_title_label_style",
    "tutorial_locked_title_label_style",
    "tutorial_completed_title_label_style",
    "tutorial_description_label_style",
    "tutorial_notice_title_label_style",
    "tutorial_notice_name_label_style",
    "tutorial_notice_label_style",
    "installed_mod_label_style",
    "downloading_mod_label_style",
    "to_be_downloaded_mod_label_style",
    "out_of_date_mod_label_style",
    "incompatible_mod_label_style"
  },
  listbox_item_style = {
    "listbox_item_style",
    "mod_invalid_listbox_item_style",
    "mod_disabled_listbox_item_style",
    "mod_updates_available_listbox_item_style",
    "target_station_in_schedule_in_train_view_listbox_item_style",
    "no_path_station_in_schedule_in_train_view_listbox_item_style",
    "default_permission_group_listbox_item_style",
    "player_listbox_item_style",
    "steam_friend_listbox_item_style",
    "load_game_mod_invalid_listbox_item_style",
    "load_game_mod_disabled_listbox_item_style"
  },
  listbox_style = {
    "listbox_style",
    "saves_listbox_style",
    "mods_listbox_style",
    "campaigns_listbox_style",
    "campaign_levels_listbox_style",
    "custom_games_listbox_style",
    "permissions_groups_listbox_style",
    "permissions_players_listbox_style",
    "train_station_listbox_style",
    "floating_train_station_listbox_style",
    "train_station_schedule_listbox_style",
    "load_game_mods_listbox_style",
    "schedule_in_train_view_list_box_style",
    "mod_info_flow_style",
    "mod_dependency_flow_style"
  },
  progressbar_style = {
    "progressbar_style",
    "production_progressbar_style",
    "burning_progressbar_style",
    "health_progressbar_style",
    "achievement_progressbar_style",
    "achievement_card_progressbar_style",
    "achievement_pinned_card_progressbar_style",
    "vehicle_health_progressbar_style",
    "mining_progressbar_style",
    "shield_progressbar_style",
    "bonus_progressbar_style",
    "battery_progressbar_style",
    "statistics_progressbar_style",
    "electric_satisfaction_progressbar_style",
    "electric_satisfaction_in_description_progressbar_style"
  },
  radiobutton_style = {
    "radiobutton_style"
  },
  scroll_pane_style = {
    "scroll_pane_style",
    "browse_games_scroll_pane_style",
    "browse_mods_scroll_pane_style"
  },
  scrollbar_style = {
    "scrollbar_style"
  },
  slider_style = {
    "slider_style"
  },
  tab_style = {
    "tab_style"
  },
  table_style = {
    "table_style",
    "electric_network_sections_table_style",
    "slot_table_style",
    "control_settings_table_style",
    "control_settings_mod_table_style",
    "browse_games_table_style",
    "browse_mods_table_style"
  },
  textbox_style = {
    "textbox_style",
    "notice_textbox_style"
  },
  textfield_style = {
    "textfield_style",
    "search_textfield_style",
    "console_input_textfield_style",
    "invalid_value_textfield_style",
    "number_textfield_style"
  }
}